:root,
[data-theme="light"] {
    --color-primary: #55b11c;
    --color-text-on-primary: #ffffff;

    --color-primary-soft: #e0ffcf;
    --color-anchor: var(--color-primary);
}

:root[data-theme="dark"] {
    --color-primary: #55b11c;
    --color-text-on-primary: #ffffff;
    --color-primary-soft: #599837;
    --color-anchor: var(--color-primary);
}

@media (prefers-color-scheme: dark) {
    :root:not([data-theme="light"]) {
        --color-primary: #55b11c;
        --color-text-on-primary: #ffffff;
        --color-primary-soft: #599837;
        --color-anchor: var(--color-primary);
    }
}
